Subject: Re: bug#13124: 24.1; shell-mode does not hide sudo password prompts

From: Chong Yidong <[email-masked]>
Date: Fri, 21 Dec 2012 13:47:40 +0800

Stefan Monnier <[email-masked]> writes:

>> Would it be possible to add the values for all languages, depending on the 
>> LC_ALL or LANG-environment variable?
>
> We could, yes.  But I don't want to maintain a list of "password"
> words, so this should be fully or at least mostly automatic.  Does
> someone have a patch to do that?

How does one go about retrieving this information in a
platform-independent way?  In the absence of a plausible method, I think
we should just use that hardcoded list of "password" words, and move on.